@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

:root {
    --primary-background-color: white;
    --secondary-background-color: #039be5
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}


html, body {
    font-family: 'Roboto', Arial, sans-serif;
    background-color: var(--primary-background-color);
    max-width: 100vw;
}

main {
    position: relative;
    margin-bottom: 3rem;
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

p {
    margin-bottom: 1rem;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

th[data-column="date"] {
    min-width: 125px;
}

td[data-column="flag"], th[data-column="flag"] {
    width: 10%;
}

th[data-column="team"] {
    width: 25%;
}

th[data-column="score"] {
    width: 30%;
}

@media (max-width: 374px) {
    th[data-column="flag"], td[data-column="flag"] {
        display: none;
    }
}

.text-center {
    text-align: center;
}

header {
    color: white;
    padding: 1rem;
    display: flex;
    background-color: var(--secondary-background-color);
}

header img {
    object-fit: contain;
}

header .login-display {
    margin-left: auto;
    text-align: right;
}

    header .login-display a {
        color: white;
    }

    header .login-display form {
        display: inline-block;
    }

    header .login-display button {
        color: white;
        background-color: transparent;
        border: none;
        cursor: pointer;
        margin-left: .5rem;
    }

        header .login-display button:hover {
            opacity: 0.7;
        }

.page-container {
    width: clamp(300px, 90%, 1200px);
    margin-inline: auto;
    padding-bottom: 2rem;
}

.page-title {
    text-align: center;
    margin: 2rem;
}

.player-select-container {
    display: flex;
    flex-direction: column;
    text-align: center;
    width: clamp(200px, 100%, 500px);
    margin: 0 auto;
    padding: 1rem;
}

    .player-select-container * {
        margin: .5rem 0;
    }

    .player-select-container select {
        padding: .5rem;
    }

    .player-select-container a {
        cursor: pointer;
    }

.player-heading {
    padding: 1rem;
    margin: 0 auto;
    text-align: center;
    position: sticky;
    background-color: var(--secondary-background-color);
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
    color: white;
    top: -1px;
    left: 0;
}

.fa-star {
    margin-left: 2px;
    color: #039be5;
}

.fa-spoon {
    margin-left: 2px;
    color: #039be5;
}

.winners-container {
    display: flex;
    flex-direction: column;
    text-align: center;
    width: clamp(200px, 100%, 500px);
    margin: 0 auto;
    padding: 1rem;
}

.winners-competition {
    padding-top: 1rem;
    padding-bottom: 1rem;
}

.winners-names {
    padding-top: 1rem;    
}

.winners-names h4 {
    padding-bottom: 0.5rem;
}

.knockout-leaderboard-container {
    width: clamp(300px, 100vw, 1600px);
    scroll-behavior: smooth;
    overflow-x: auto;
    margin: 0 auto;
}

.knockout-leaderboard {
    display: flex;
    flex-direction: row;
}

.knockout-column {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    flex-basis: 25%;
    max-width: 500px;
    font-size: .8rem;
    padding: 0 .5rem;
    width: clamp(300px, 100vw, 1500px);
    margin: 1rem auto 3rem auto;
}

    .knockout-column > div {
        display: grid;
        grid-template-columns: 80% 20%;
        padding: .5rem;
    }

        .knockout-column > div:nth-last-of-type(2n + 1) {
            margin-bottom: 1rem;
        }

        .knockout-column > div p {
            display: flex;
            padding: 0rem;
            border: 1px solid black;
            border-bottom: 0;
            align-items: center;
        }

            .knockout-column > div p:nth-last-of-type(1), .knockout-column > div p:nth-last-of-type(2) {
                border-bottom: 1px solid black;
            }

            .knockout-column > div p:nth-child(2n+1) {
                border-right: 0;
            }

            .knockout-column > div p:nth-child(2n) {
                padding: 0 .25rem;
            }

            .knockout-column > div p img {
                max-height: 24px;
                margin-right: 5px;
            }

.knockout-leaderboard-nav {
    display: none;
}

@media (max-width: 768px) {
    .knockout-leaderboard {
        width: 400vw;
    }

    .knockout-leaderboard-nav {
        position: fixed;
        display: flex;
        justify-content: space-around;
        width: 100%;
        bottom: 4rem;
    }

        .knockout-leaderboard-nav a {
            padding: .5rem 1rem;
            color: white;
            background-color: var(--secondary-background-color);
            border-radius: 50px;
            cursor: pointer;
        }

            .knockout-leaderboard-nav a.active {
                background-color: #016798;
            }
}

input[type=text] {
    font-size: 16px;
}

.mui-input {
    position: relative;
    border: 1px solid #c9cace;
    border-radius: 4px;
    color: #65676e;
    background-color: white;
    padding: 1rem;
    cursor: text;
    display: block;
    margin-bottom: 1rem;
    outline: none;
    position: relative;
}

    .mui-input > span {
        position: absolute;
        background-color: inherit;
        pointer-events: none;
        transition: top .25s, font-size .25s, color .25s;
        transition-timing-function: cubic-bezier(0,.59,.35,.99);
        left: .75rem;
        top: 1rem;
        padding-inline: .25rem;
    }

    .mui-input > input {
        border: none;
        font-size: 1rem;
        width: 100%;
        outline: none;
    }

        .mui-input > input:focus {
            outline: none;
        }

    .mui-input:hover {
        border-color: black;
    }

    .mui-input.focussed {
        border-color: #635dff;
    }

        .mui-input.focussed span,
        .mui-input.populated span {
            top: -.4rem;
            font-size: .8rem;
        }

        .mui-input.focussed span {
            color: #635dff;
        }

.select {
    position: relative;
    cursor: default;
}

    .select.focussed {
        border-bottom-left-radius: 0;
        border-bottom-right-radius: 0;
        border-bottom: 0;
    }

    .select > p {
        margin: 0;
        min-height: 1rem;
        color: black;
    }

    .select .options {
        position: absolute;
        background-color: inherit;
        left: -1px;
        top: 100%;
        width: calc(100% + 2px);
        border: 1px solid #635dff;
        border-top: 0;
        border-bottom-left-radius: 3px;
        border-bottom-right-radius: 3px;
        z-index: 1;
    }

    .select .options .option {
        padding: 1rem;
        margin: 0;
        cursor: pointer;
    }

        .select .options .option:hover {
            background-color: #635dff;
            color: white;
        }

a.btn {
    text-align: center;
    text-decoration: none;
}

.btn {
    display: block;
    font-size: 1rem;
    font-family: inherit;
    width: 100%;
    border: none;
    border-radius: 5px;
    padding: 1rem;
    cursor: pointer;
    transition: background-color .5s;
}

.btn-blue {
    background-color: #039be5;
    color: white;
}

    .btn-blue:hover {
        background-color: #038bce;
    }

.form-page {
    display: grid;
    place-items: center;
    min-width: 100vw;
    min-height: 100vh;
    background-color: black;
}

.form-container {
    background-color: white;
    border-radius: 5px;
    padding: 2rem;
    width: min(400px, 100%);
    text-align: center;
}

table {
    background-color: white;
    text-align: left;
    padding: 0;
    width: clamp(300px, 100%, 1500px);
}

table .mui-input {
    margin-bottom: 0;
}

th, td {
    padding: .5rem .1rem .5rem .1rem;
}

tr > th {
    color: white;
    background-color: var(--secondary-background-color);
}

    td > img {
        width: 100%;
    }

tr:nth-child(2n + 1) {
    background-color: #ededed;
}

.full-width {
    width: 100%;
}

.info-panel {
    margin-bottom: 2rem;
}

    .info-panel h2 {
        margin-bottom: 1rem;
    }

.loading-screen {
    position: fixed;
    display: flex;
    flex-direction: column;
    width: 100vw;
    height: 100vh;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.8);
    backdrop-filter: blur(20px);
    align-items: center;
    justify-content: center;
    color: white;
}

@keyframes spin {
    from {
        transform: rotate(0);
    }
    to {
        transform: rotate(360deg);
    }
}

.loading-screen .fa-spinner {
    padding: 1rem;
    animation: spin 2s linear;
    animation-iteration-count: infinite;
}

.loading-screen h3 {
    margin-bottom: .5rem;
}

.loading {
    text-align: center;
    margin: 1rem auto 0 auto;
}